Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002015TestLinkGeneralpublic2009-01-23 19:052009-02-06 06:49
Reporteramitkhullar 
Assigned Toschlundus 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8 RC 3 
Fixed in Version1.8 RC 4 
Summary0002015: Session Timeout causes the page to give error 404 Not Found
Descriptionhttp://www.testlink.org/mantis/view.php?id=1984 [^]

I am still facing the same issues as specified on link above, pls see the link for more details and link this issue to it.

I have tried to find out that the code sets the cookie to a path which is the http://localhost/ [^] directory and then attaches the page login.php?note=expired

so it becomes http://localhost/login.php?note=expired [^] rather than
http://localhost/testlink/login.php?note=expired. [^]

Some issue with basehref variable or redirect variable in function checkSessionValid() in common.php

Please check this. If I go and remove / clear the cookies and refresh it brings back to the main login page.

amit
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0005104)
amitkhullar (reporter)
2009-01-23 20:04

Finally found the issue in code please use the code below to resolve this issue:
Line 259 onwards in common.php in function checkSessionValid();
    if (!$bSessionValid)
    {
        $ip = $_SERVER["REMOTE_ADDR"];
        $requestURI = null;
        if (strlen($_SERVER['REQUEST_URI']))
            $requestURI = "&req=".urlencode($_SERVER['REQUEST_URI']);
        
        $fName = "login.php";
        $baseDir = dirname(__FILE__);

        while(!file_exists($baseDir.DIRECTORY_SEPARATOR.$fName))
        {
            $fName = "../" . $fName;
        }

        redirect($fName . "?note=expired","top.location");
        exit();
    }

- Issue History
Date Modified Username Field Change
2009-01-23 19:05 amitkhullar New Issue
2009-01-23 20:04 amitkhullar Note Added: 0005104
2009-01-24 03:53 schlundus Status new => assigned
2009-01-24 03:53 schlundus Assigned To => schlundus
2009-01-24 03:57 schlundus Status assigned => resolved
2009-01-24 03:57 schlundus Fixed in Version => next DEV - 1.8 RC 4
2009-01-24 03:57 schlundus Resolution open => fixed
2009-02-06 06:49 mhavlat Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker